#include <stdio.h>
#include <stdlib.h>
#include <time.h>

double fibonacci( int n ); /* function prototype */

int main(int argc, char *argv[])
{ 
   int n;
   double d;
   time_t start,end;

   if (argc != 2)
	   printf("Usage: CS_HW1 n\n");
   else
   {
	   n = atoi(argv[1]);

	   start=time(NULL);
       d = fibonacci( n );
	   end=time(NULL);
       printf( "fibonacci( %d ) = %.1f, time= %.2f sec.\n", n, d, difftime(end,start) );
   } /* end for */

   return 0; /* indicate successful termination */

} /* end main */

/* fibonacci nonrecursively calculates nth Fibonacci number */
double fibonacci( int n )
{ 
   if (n == 0)
	   return 0.0;
   else if (n == 1)
	   return 1.0;
   else
	   return fibonacci( n-1 )+fibonacci( n-2 );
} /* end function fibonacci */
